---
layout: default
title: Portfolio
datatable: true
---

<script>
    function filterGlobal() {
        console.log($('#global_filter').val());
        $('#projects_eu').DataTable.search(
            $('#global_filter').val(),
            $('#global_regex').prop('checked'),
            $('#global_smart').prop('checked')
        ).draw();
    }

    function filterColumn(i) {
        console.log($('#col'+i+'_filter').val());
        $('#projects_eu').DataTable().column(i).search(
            $('#col'+i+'_filter').val(),
            $('#col'+i+'_regex').prop('checked'),
            $('#col'+i+'_smart').prop('checked')
        )};

    $(document).ready(function(){
        $('#projects_eu').DataTable({
            // searching: false
        });

        $('input.global_filter').on('keyup click', function() {
            filterGlobal();
        });

        $('input.column_filter').on('keyup click', function () {
            filterColumn($(this).parents('tr').attr('data-column') );
    } );
    });
    </script>
<h1>Portfolio page</h1>

<!-- <p>{{ site.data.projects.projects_eu }}</p>
<p>{{ site.data.projects.projects_us }}</p>

<p>{{ site.data.projects }}</p> -->

<!-- <table id="mytable" class="table table-striped table-bordered">
    {% for project in site.data.projects.projects_eu %}
        {% if forloop.first %}
            <thead>
                <tr>
                    {% for pair in project %}
                        <th>{{ pair[0] }}</th>
                    {% endfor %}
                </tr>
            </thead>
        {% endif %}
        
        
        {% tablerow pair in project %}
            {{ pair[1] }}
        {% endtablerow %}
        
    {% endfor %}
</table> -->

<table class="table table-stripped table-bordered">
    <thead>
        <tr>
            <th>Target</th>
            <th>Search Text</th>
            <th>Treat as regex</th>
            <th>Use smart search</th>
        </tr>
    </thead>
    <tbody>
        <tr id="filter_global">
            <td>Global Search</td>
            <td style="text-align: center;"><input type="text" class="global_filter" id="global_filter"></td>
            <td style="text-align: center;"><input type="checkbox" class="global_filter" id="global_regex"></td>
            <td style="text-align: center;"><input type="checkbox" class="global_filter" id="global_smart" checked="checked"></td>
        </tr>
        <tr id="filter_col1" data-column="0">
            <td>Column - Project Name</td>
            <td style="text-align: center;"><input type="text" class="column_filter" id="col0_filter"></td>
            <td style="text-align: center;"><input type="checkbox" class="column_filter" id="col0_regex"></td>
            <td style="text-align: center;"><input type="checkbox" class="column_filter" id="col0_smart" checked="checked"></td>
        </tr>
    </tbody>
</table>




{% for region_projects in site.data.projects_csv %}
    <table id="{{ region_projects[0] }}" class="table table-striped table-bordered" style="width:100%">
        {% for project in region_projects[1] %}
            {% if forloop.first %}
            <thead>
                <tr>
                    {% for pair in project %}
                        <th>{{ pair[0] }}</th>
                    {% endfor %}
                </tr>
            </thead>
            {% endif %}

            {% tablerow pair in project %}
                {{ pair[1] }}
            {% endtablerow %}

        {% endfor %}
    </table>
    
    <br>
    <hr>
    <br>

{% endfor %}

<!--- TODO
    detail page (own page or popup)
    tabulator 
-->
